Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.GetEnumerator Method
Cursor Class See Also Send Feedback

Returns an enumerator that iterates through the Cursor.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public IEnumerator<KeyValuePair<DatabaseEntry, DatabaseEntry>> GetEnumerator()

Visual Basic (Declaration)
    Public Function GetEnumerator As IEnumerator(Of KeyValuePair(Of DatabaseEntry, DatabaseEntry))

Visual C++
    public:
    virtual IEnumerator<KeyValuePair<DatabaseEntry^, DatabaseEntry^>>^ GetEnumerator() sealed

#### Return Value

An enumerator for the Cursor.

#### Implements

IEnumerable<(Of <(T>)>)..::.GetEnumerator()()()

# Remarks

The enumerator will begin at the cursor's current position (or the first record if the cursor has not yet been positioned) and iterate forwards (i.e. in the direction of MoveNext()()()) over the remaining records.

# See Also

Cursor Class
BerkeleyDB Namespace